/*
 *  event.h - ACPI daemon event handler
 *
 *  Copyright (C) 1999-2000 Andrew Henroid
 *  Copyright (C) 2001 Sun Microsystems
 *  Portions Copyright (C) 2004 Tim Hockin (thockin@hockin.org)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef EVENT_H__
#define EVENT_H__

#define DROP_ACTION "<drop>"
#define DROP_EVENT 1

extern int acpid_read_conf(const char *confdir);
extern int acpid_add_client(int client, const char *origin);
extern int acpid_cleanup_rules(int do_detach);
extern int acpid_handle_event(const char *event);
extern void acpid_close_dead_clients(void);

#endif /* EVENT_H__ */
